version: "3"

services:
  web:
    image: reg.federspiel.software/fedeo/software:beta
    restart: always
#    networks:
#      - traefik
    environment:
      NUXT_PUBLIC_API_BASE: "https://backend.fedeo.io"
      #    labels:
#      - "traefik.enable=true"
#      - "traefik.docker.network=traefik"
#      - "traefik.port=3000"
#      # Middlewares
#      - "traefik.http.middlewares.spaces-frontend-redirect-web-secure.redirectscheme.scheme=https"
#      # Web Entrypoint
#      - "traefik.http.routers.spaces-frontend.middlewares=spaces-frontend-redirect-web-secure"
#      - "traefik.http.routers.spaces-frontend.rule=Host(`app.spaces.software`)"
#      - "traefik.http.routers.spaces-frontend.entrypoints=web"
#      # Web Secure Entrypoint
#      - "traefik.http.routers.spaces-frontend-secure.rule=Host(`app.spaces.software`)"
#      - "traefik.http.routers.spaces-frontend-secure.entrypoints=web-secured" #
#      - "traefik.http.routers.spaces-frontend-secure.tls.certresolver=mytlschallenge"

#networks:
#  traefik:
#    external: true